.toolbar {
  align-items: flex-end;
  display: flex;
  flex-wrap: wrap;
  font-size: 0.75rem;
  gap: 1rem;
  margin-block: 1.5rem 1rem;
}

.toolbar__left {
  display: flex;
  gap: 0.5rem;
}

.toolbar__right {
  margin-left: auto;
}

.toolbar .count-container {
  align-items: center;
  display: flex;
  flex-direction: row-reverse;
  gap: 0.5rem;
}

.toolbar label {
  color: oklch(51% 0 0);
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 1;
}

.toolbar :is(input, select) {
  font-size: 0.75rem;
  height: 2.125rem;
  padding: 0.25rem 0.5rem;
}

.toolbar p {
  margin: 0;
}

.toolbar .amount {
  align-items: center;
  align-self: flex-end;
  color: oklch(51% 0 0);
  display: inline-flex;
  font-size: 0.75rem;
  height: 2.125rem;
  line-height: 1;
  max-width: 100px;

  .my-account & {
    align-self: center;
  }
}

.toolbar .amount.amount--no-pages {
  strong {
    font-weight: 400;
  }
}

.toolbar .pager {
  align-items: center;
  display: flex;
  gap: 0.5rem;
  margin-left: auto;
}

.toolbar .filter-category {
  color: oklch(62.4% 0 0);
  display: none;
  font-size: 1.5rem;
  font-weight: 300;
  line-height: 1;
  position: static;

  @media (width <= 991px) {
    :has(.sidebar .filter-category) & {
      display: inline-flex;
    }
  }
}

.toolbar .filter-category::before {
  content: '\e17c';
  font-family: 'Font Awesome 6 Pro';
  margin-block-end: 3px;
}

.toolbar .view-mode strong,
.toolbar .view-mode a {
  color: oklch(62.4% 0 0);
  display: inline-flex;
  font-size: 1.5rem;
  font-weight: 300;
  line-height: 1;
  margin: 0 5px;
}

.toolbar .view-mode strong {
  color: var(--blue);
  font-weight: 500;
}

.toolbar .view-mode .grid::before,
.toolbar .view-mode .list::before {
  font-family: 'Font Awesome 6 Pro';
}

.toolbar .view-mode .grid::before {
  content: '\e195';
}

.toolbar .view-mode .list::before {
  content: '\f03a';
}

.toolbar .pages strong {
  border-width: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

.toolbar .pages ol {
  display: flex;
  gap: 0.25rem;
}

.toolbar .pages a,
.toolbar .pages .current {
  align-items: center;
  border: 1px solid oklch(96.2% 0 0);
  color: oklch(51% 0 0);
  cursor: pointer;
  display: flex;
  font-size: 0.875rem;
  height: 2rem;
  justify-content: center;
  text-align: center;
  transition: background-color 0.3s;
  vertical-align: middle;
  width: 2rem;
}

.toolbar .pages a:hover {
  background-color: oklch(94.7% 0 0);
  color: oklch(51% 0 0);
  text-decoration: unset;
}

.toolbar .pages .current,
.toolbar .pages .current:hover {
  background-color: var(--blue);
  border-color: var(--blue);
  color: oklch(100% 0 0);
  font-weight: bold;
}

.toolbar .pages .next,
.toolbar .pages .previous {
  font-size: 0;
}

.toolbar .pages .next::before,
.toolbar .pages .previous::before {
  color: oklch(51% 0 0);
  font-family: 'Font Awesome 6 Pro';
  font-size: 0.875rem;
}

.toolbar .pages .next::before {
  content: '\f054';
}

.toolbar .pages .previous::before {
  content: '\f053';
}

/* DataTables Pagination */

.dataTables_paginate a {
  border: 1px solid oklch(96.2% 0 0);
  cursor: pointer;
  display: inline-block;
  font-size: var(--size-14);
  height: 30px;
  text-align: center;
  transition: all 0.3s;
  vertical-align: middle;
  width: 30px;
}

.dataTables_wrapper a.next::before,
.dataTables_wrapper a.previous::before {
  display: block;
  font-family: 'Font Awesome 5 Pro';
}

.dataTables_wrapper a.next::before {
  content: '\f105';
}

.dataTables_wrapper a.previous::before {
  content: '\f104';
}

.dataTables_paginate a {
  line-height: 28px;
  margin-right: 8px;
}

.dataTables_wrapper a.previous,
.dataTables_wrapper a.next {
  font-size: 0;
}

.dataTables_wrapper a.previous::before,
.dataTables_wrapper a.next::before {
  font-size: 16px;
}

.dataTables_wrapper a.next {
  margin: 0;
}

.dataTables_wrapper .table {
  margin: 0;
}

.dataTables_info {
  float: left;
}

@media screen and (width <=575px) {
  .dataTables_info {
    display: none;
  }
}

@media only screen and (width <= 400px) {
  .dataTables_paginate a {
    height: 27px;
    line-height: 27px;
    width: 27px;
  }
}
